Subject: RE: [PATCH 0/2] git+curl 8.7.0 workaround

From: <[email-masked]>
Date: Tue, 2 Apr 2024 16:21:56 -0400

On Tuesday, April 2, 2024 4:03 PM, Peff wrote:
>To: [email-masked]
>Cc: Daniel Stenberg <[email-masked]>
>Subject: [PATCH 0/2] git+curl 8.7.0 workaround
>
>On Sat, Mar 30, 2024 at 09:54:02AM +0100, Daniel Stenberg wrote:
>
>> On Fri, 29 Mar 2024, Jeff King wrote:
>>
>> > I noticed some http-related failures in the test suite on my Debian
>> > unstable system, which recently got an upgraded curl package. It
>> > looks like it's related to cases where we use the remote-curl helper
>> > in "connect" mode (i.e., protocol v2) and the http buffer is small
>> > (requiring us to stream the data to curl). Besides just running
>> > t5551, an easy reproduction is:
>>
>> This smells like a libcurl regression to me. I "imported" this into
>> our issue tracker here: https://github.com/curl/curl/issues/13229
>
>This was all resolved in that issue, but just to summarize for the list
>here: it was a regression in curl and there's a fix already. Thanks Daniel for your (as
>usual) prompt digging into the problem (and likewise to Stefan for the actual fix).
>
>Ultimately the issue will be fixed by moving to a different version of libcurl, but
>here's an easy workaround in the meantime, with a small doc cleanup I found along
>the way.
>
>  [1/2]: http: reset POSTFIELDSIZE when clearing curl handle
>  [2/2]: INSTALL: bump libcurl version to 7.21.3
>
> INSTALL | 2 +-
> http.c  | 1 +
> 2 files changed, 2 insertions(+), 1 deletion(-)

Do we have an ETA for this fix? That or do we know when curl is planning on resolving this?

Thanks,
Randall